parameters:
    lifestyle_credentials.database.entity_manager: "default"

services:
    lifestyle_credentials.api.manager:
        class: LifeStyle\Tools\CredentialsBundle\Api\Manager
        arguments: [ "@service_container" ]
    lifestyle_credentials.validatetoken.listener:
        class: LifeStyle\Tools\CredentialsBundle\EventListener\ValidateTokenListener
        arguments: [ "@lifestyle_credentials.api.manager", "@request_stack" ]
        tags:
            - { name: kernel.event_subscriber }
    lifestyle_credentials.validateuseridentifier.listener:
        class: LifeStyle\Tools\CredentialsBundle\EventListener\ValidateUserIdentifierListener
        arguments: [ "@lifestyle_credentials.api.manager", "@sso_tools_user_identifier.api_controller", "@request_stack" ]
        tags:
            - { name: kernel.event_subscriber }
